Package org.bgerp.model.process

# Class ProcessGroups

java.lang.Object
java.util.AbstractCollection<ProcessGroup>
java.util.AbstractSet<ProcessGroup>
java.util.TreeSet<ProcessGroup>
org.bgerp.model.process.ProcessGroups

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<ProcessGroup>`, `Collection<ProcessGroup>`, `NavigableSet<ProcessGroup>`, `SequencedCollection<ProcessGroup>`, `SequencedSet<ProcessGroup>`, `Set<ProcessGroup>`, `SortedSet<ProcessGroup>`

public class ProcessGroups extends TreeSet<ProcessGroup>
Process execution groups.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessGroups()`
  `ProcessGroups(Integer... groupId)`
  `ProcessGroups(Set<ProcessGroup> groups)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<Integer>`
  `getGroupIds()`
  `Set<String>`
  `getGroupRoleIds()`
  Set of concatenated IDs from `groupId + ':' + roleId.`
  `Set<Integer>`
  `getRoleIds()`
  `static ProcessGroups`
  `of(String[] array)`
  Converts array of IDs groupId:roleId.
  `static ProcessGroups`
  `of(List<IdTitle> list)`
  Converts list of ID with titles.

  ### Methods inherited from class java.util.TreeSet

  `add, addAll, addFirst, addLast, ceiling, clear, clone, comparator, contains, descendingIterator, descendingSet, first, floor, headSet, headSet, higher, isEmpty, iterator, last, lower, pollFirst, pollLast, remove, size, spliterator, subSet, subSet, tailSet, tailSet`

  ### Methods inherited from class java.util.AbstractSet

  `equals, hashCode, removeAll`

  ### Methods inherited from class java.util.AbstractCollection

  `containsAll, retainAll, toArray, toArray, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface java.util.NavigableSet

  `removeFirst, removeLast, reversed`

  ### Methods inherited from interface java.util.Set

  `containsAll, equals, hashCode, removeAll, retainAll, toArray, toArray`

  ### Methods inherited from interface java.util.SortedSet

  `getFirst, getLast`

- ## Constructor Details

  - ### ProcessGroups

    public ProcessGroups()

  - ### ProcessGroups

    public ProcessGroups(Set<ProcessGroup> groups)

  - ### ProcessGroups

    public ProcessGroups(Integer... groupId)

- ## Method Details

  - ### of

    public static ProcessGroups of(String[] array)
    Converts array of IDs groupId:roleId.
    Parameters:
      `array` -
    Returns:

  - ### of

    public static ProcessGroups of(List<IdTitle> list)
    Converts list of ID with titles.
    Parameters:
      `list` -
    Returns:

  - ### getGroupIds

    public Set<Integer> getGroupIds()
    Returns:
      group IDs.

  - ### getRoleIds

    public Set<Integer> getRoleIds()
    Returns:
      role IDs.

  - ### getGroupRoleIds

    public Set<String> getGroupRoleIds()
    Set of concatenated IDs from `groupId + ':' + roleId.`
    Returns: